# Eye::S3
<!-- TODO: add gem version and link -->
<!-- [![Gem Version]()]() -->

A notifier plugin for [eye](https://github.com/kostya/eye) to send state changes to AWS S3

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'eye'
gem 'eye-s3
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install eye-s3

## Usage

S3 notifier takes the following parameters:

- `bucket_name` - **required**, a string with the S3 bucket name
- `region` - optional, the AWS region for the `S3::Client`, uses `us-east-1` by default

Declare inside eye config like this:

```ruby
require 'eye/notify/eye_s3'

Eye.config do
  eye_s3 bucket_name: 'your-bucket-name'
  contact :dev, :eye_s3, '#test'
end
```

### Authentication

EyeS3 notifier assumes the runtime environment is already configured to use the
AWS SDK for ruby, for more info on how to do it check the
[official documentation.](https://docs.aws.amazon.com/sdk-for-ruby/v3/developer-guide/setup-config.html)

It also assumes the client has the correct permissions to put objects on the correspondent S3 bucket.

## Contributing

1. Fork it ( https://github.com/ricardosllm/eye-s3/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
